bool AUTORELOAD;

static const float pi=3.141592653589793238462643383279502884197169399375105820974944592f;

//float4 vecSkill5;
float4 vecSkill1;

float _vLF_ToneMapperFac_var;

float4 vecViewPort;
float4 vecViewPos;
float4 vecTime;

//float4x4 matMtl;
//float4x4 matEffect;
float4x4 matView;

texture mtlSkin1;
texture mtlSkin2;
texture mtlSkin3;
//texture mtlSkin4;
texture _bAttenuationMap_PL_bmap;
texture _bAttenuationMap_SL_bmap;

sampler COLOR_SAMPLER = sampler_state { Texture   = <mtlSkin1>; MinFilter = Point; MagFilter = Point; MipFilter = Point;    AddressU  = clamp; AddressV  = clamp; };
sampler GMASK_SAMPLER = sampler_state { Texture   = <mtlSkin2>; MinFilter = Linear; MagFilter = Linear; MipFilter = Linear;    AddressU  = clamp; AddressV  = clamp; };

const float small=1.f/255.f;
const float small2=1.f/(1.f-(1.f/255.f));

float mask_alpha(float A) { return 1-step(1,1-A); }
float add_zero(float F) { return (F-small)*small2; }

float3 norm_color(float3 col)
{
	return col.rgb/max(col.r,max(col.g,col.b));
}

void PS(
in float2 Tex : TEXCOORD0,

out float4 COL : COLOR0
//out float4 GMASK : COLOR1
) 
{	
	float4 glow=tex2D(GMASK_SAMPLER,Tex*pow(0.5,3));
	//	glow=0;
	float4 diff_color=tex2D(COLOR_SAMPLER,Tex+vecViewPort.zw*0.0);
	
	COL=diff_color;
	//	COL.rgb=glow;
	//	COL.rgb=dot(glow.rgb,float3(0.2126,0.7152,0.0722));
	//	COL.rgb=lerp(diff_color,norm_color(glow.rgb),dot(glow.rgb,0.3333f));
	
	float lerp_lum=dot(glow.rgb,float3(0.2126,0.7152,0.0722));
	COL.rgb=lerp(diff_color,norm_color(glow.rgb),saturate(lerp_lum*vecSkill1.x));
	
	COL.w=1;
}

technique Shading
{
	pass one
	{
		PixelShader = compile ps_2_0 PS();
	}
}

