bool AUTORELOAD;

float4 vecSkill1;
float4 vecSkill17;//ClipFar.x 

float4 vecSkill41;
float4 vecSkill45;
float4 vecViewDir;
float4 vecViewPos;

float4x4 matWorldViewProj;
float4x4 matWorld;

texture mtlSkin1;

sampler COLOR_SAMPLER     = sampler_state { Texture   = <mtlSkin1>; MinFilter = Linear; MagFilter = Linear; MipFilter = Linear;    AddressU  = wrap; AddressV  = wrap; };

void VS(		
in float4 vPos		   : POSITION,
in float2 InTex	   : TEXCOORD0,

out float2 OutTex	      : TEXCOORD0,			
out float  Depth        : TEXCOORD1,

out float4 Pos	         : POSITION
)
{
	Pos = mul(vPos,matWorldViewProj);
	
//	Depth=Pos.w;//vecSkill17.x;
	Depth=dot(vecViewDir,mul(vPos,matWorld) - vecViewPos);
	
	vecSkill45.y=1;
	OutTex = InTex*vecSkill45.y;
}


void PS(	
in float2 Tex	         : TEXCOORD0,			
in float  Depth         : TEXCOORD1,

out float4 D   :COLOR0
) 
{
	D=float4(Depth,Depth*Depth,0,1);
	
//	D.w=tex2D(COLOR_SAMPLER,Tex).w;
}

technique Shading
{
	pass P0
	{
		//		fillmode=2;
		//		cullmode=none;
		
		zenable=true;
		zwriteenable=true;
		alphablendenable=false;
		alphatestenable=true;
		
		AlphaRef=0;
		AlphaFunc=Greater;
		
		VertexShader = compile vs_2_0 VS();
		PixelShader  = compile ps_2_0 PS();
	}
}