
bool AUTORELOAD;

float4x4 matWorldViewProj;

float4 vecSkill41;

void VS(		
in float4 vPos		   : POSITION,

out float4 Pos	         : POSITION
)
{
	Pos = mul(vPos,matWorldViewProj);
}

void PS(	

out float4 COL :COLOR0,
out float4 NM  :COLOR1,
out float4 D   :COLOR2
) 
{
	COL.rgb=vecSkill41.yzw/255;

	COL.w=1;
	NM=0;
	D=0;
}

technique Shading
{
	pass P0
	{
		fillmode=2;
		cullmode=none;
		
		zenable=true;
		zwriteenable=true;
		alphablendenable=false;
		alphatestenable=true;
		
		AlphaRef=0;
		AlphaFunc=Greater;
		
		VertexShader = compile vs_2_0 VS();
		PixelShader  = compile ps_2_0 PS();
	}
}