
float4x4 matWorldViewProj;

void VS(		
in float4 vPos		   : POSITION,

out float4 Pos	         : POSITION
)
{
	Pos = mul(vPos,matWorldViewProj);
}

void PS(	

out float4 COL :COLOR0,
out float4 N   :COLOR1,
out float4 D   :COLOR2
) 
{
	COL=0;
	N=0;
	D=0;
}

technique Shading
{
	pass P0
	{
		VertexShader = compile vs_2_0 VS();
		PixelShader  = compile ps_2_0 PS();
	}
}