bool AUTORELOAD;

float4 vecSkill1;
float4 vecViewPort;

texture TargetMap;

sampler COLOR_SAMPLER = sampler_state { Texture   = <TargetMap>; MinFilter = Point; MagFilter = Point; MipFilter = Point;    AddressU  = clamp; AddressV  = clamp; };

float gauss1D_weights[7]={0.0042f,0.0538f,0.242f,0.4f,0.242f,0.0538f,0.0042f};
float gauss1D_weights2[7]={0.015f,0.083f,0.235f,0.332f,0.235f,0.083f,0.0015f};

void PS(
in float2 Tex : TEXCOORD0,

out float4 COL : COLOR0
) 
{

	COL=0;
	for(int i=0;i<7;i++)
	COL+=tex2D(COLOR_SAMPLER,Tex+float2(0,vecViewPort.w*(i-3)*vecSkill1.x))*gauss1D_weights2[i];
}

technique Shading
{
	pass one
	{
		PixelShader = compile ps_3_0 PS();
	}
}

