bool AUTORELOAD;

float4 vecViewPort;

texture TargetMap;
texture mtlSkin1;

sampler COLOR_SAMPLER = sampler_state			
{
	Texture = <mtlSkin1>;
	MipFilter = Linear;
	MinFilter = Linear;
	MagFilter = Linear;

	AddressU = clamp;	
	AddressV = clamp;
};

void ps(
in float2 Tex : TEXCOORD0,

out float4 COL : COLOR0
) 
{	
	COL=tex2D(COLOR_SAMPLER,Tex*2);
}

technique volumen
{
	pass one
	{
		PixelShader = compile ps_2_0 ps();
	}
}

