
bool AUTORELOAD;

float4 vecViewPort;
float4 vecSkill1;

void PS(
in float2 Tex : TEXCOORD0,

out float4 COL : COLOR0
) 
{
//	Tex.yx-=vecViewPort.zw;
	
	Tex.yx*=vecViewPort.yx/512.f;
	Tex.yx-=1.f/1024.f;
	
	float att_s=vecSkill1.x;
//	att_s=7;
	float att_x=saturate(Tex.x);//*Tex.x
	
	float Att=1.f/(att_x*att_s+1.f); 
	
	att_s=1.f/(att_s+1);
	
	Att=max(0,Att-att_s)/(1.f-att_s);
	
//	Att=1-pow(1-Att,2);
	
	COL=Att;
}

technique Shading
{
	pass one
	{
		PixelShader = compile ps_3_0 PS();
	}
}

