
MATERIAL* _mtlRenderLights;
MATERIAL* _mtlFX_box;
MATERIAL* _mtlSkyCube_Color;
MATERIAL* _mtlSkyCube_Black;
MATERIAL* _mtlSkyCube_MaxDepth;
MATERIAL* _mtlSkyCube;
MATERIAL* _mtlDeferredLightingPP;

MATERIAL* _mtlNormals;
MATERIAL* _mtlDepth;
MATERIAL* _mtlColor;
MATERIAL* _mtlBump;
MATERIAL* _mtlCubeDepth;

function FXevent_AddMtl();

MATERIAL* _mtlLightPass_PL;
MATERIAL* _mtlLightPass_PL_C;
MATERIAL* _mtlLightPass_PL_VSM;
MATERIAL* _mtlLightPass_PL_VSM_C;

MATERIAL* _mtlLightPass_SL;
MATERIAL* _mtlLightPass_SL_C;
MATERIAL* _mtlLightPass_SL_VSM;
MATERIAL* _mtlLightPass_SL_VSM_C;

////////////////////////////////MATERIAL-functions

function FXevent_Lights()
{
	if(render_view->skill_x==1)
	{	
		if(my->skill21==1 || my->skill21==2)
		if(my->skill20==1 || my->skill23==1)
		{			
			VIEW* vwLight=my->skill22;
			
			float matP[16];
			view_to_matrix(vwLight,mtl->matrix,matP);
			
			if(my->skill21==1)
			matP[5]=matP[0];//reset aspect to 1
			
			mat_multiply(mtl->matrix,matP);
			
			if(my->skill21!=1)
			{
				VIEW* vwCamera=my->skill18;
				VIEW* vwRenderLights=vwCamera->skill_y;
				
				if(render_view!=vwRenderLights)
				return(1);
				
				int i;
				for(i=0;i<8;i++)
				mtl->skill[i]=floatv(my->skill[i]);
				
				float DirMat[16];
				float PosMat[16];
				
				DirMat[0]=(my->skill60); DirMat[1]=(my->skill61); DirMat[2]=(my->skill62);	
				PosMat[0]=(my->skill80); PosMat[1]=(my->skill81); PosMat[2]=(my->skill82);	
				
				DirMat[4]=(my->skill63); DirMat[5]=(my->skill64); DirMat[6]=(my->skill65);	
				PosMat[4]=(my->skill83); PosMat[5]=(my->skill84); PosMat[6]=(my->skill85);
				
				DirMat[8]=(my->skill66); DirMat[9]=(my->skill67); DirMat[10]=(my->skill68);	
				PosMat[8]=(my->skill86); PosMat[9]=(my->skill87); PosMat[10]=(my->skill88);
				
				DirMat[12]=(my->skill69);DirMat[13]=(my->skill70);DirMat[14]=(my->skill71);	
				PosMat[12]=(my->skill89);PosMat[13]=(my->skill90);PosMat[14]=(my->skill91);
				
				DirMat[3]=(my->skill92);	
				DirMat[7]=(my->skill93);	
				DirMat[11]=(my->skill94);	
				DirMat[15]=(my->skill95);
				
				PosMat[3]=(my->skill96);	
				PosMat[7]=(my->skill97);	
				PosMat[11]=(my->skill98);	
				PosMat[15]=(my->skill99);	
				
				mat_effect1=DirMat;
				mat_effect2=PosMat;	
				
				///////////////////////////////////
				mat_effect3=mtl->matrix;
				
				///////////////////////////////////
				VIEW* vwLight2=vwLight->skill_y;
				
				float matV2[16]; float matP2[16];
				view_to_matrix(vwLight2,matV2,matP2);	
				mat_multiply(matV2,matP2);
				mat_effect4=matV2;
				
				///////////////////////////////////
				if(vwLight2->skill_y!=0)
				{
					VIEW* vwLight3=vwLight2->skill_y;
					
					float matV3[16]; float matP3[16];
					view_to_matrix(vwLight3,matV3,matP3);	
					mat_multiply(matV3,matP3);
					mat_effect5=matV3;
					
					if(vwLight3->skill_y!=0)
					{
						///////////////////////////////////
						VIEW* vwLight4=vwLight3->skill_y;
						
						float matV4[16]; float matP4[16];
						view_to_matrix(vwLight4,matV4,matP4);	
						mat_multiply(matV4,matP4);
						mat_effect6=matV4;						
					}
				}

			}
			
		}


		VIEW* vwTempDepth=render_view->skill_y;
		VIEW* vwTempNormal=vwTempDepth->skill_y;
		VIEW* vwTempCamera=vwTempNormal->skill_y;

		if(_vLF_LightingMode==0)
		{
			mtl->skin1=vwTempCamera->target1;
			mtl->skin2=vwTempCamera->target2;	
		}
		else
		{
			mtl->skin1=vwTempNormal->bmap;
			mtl->skin2=vwTempDepth->bmap;
		}

		mtl->skill17=floatv(render_view->clip_far);
		mtl->skill18=floatv(render_view->arc*0.5);
		mtl->skill19=floatv(my->skill19);//Shadowmap Resolution
		
		return(0);
	}
	else
	return(1);
}

MATERIAL* _mtlLightPass_DL_VSM=
{
	flags=ENABLE_RENDER;
	event=FXevent_Lights;
	effect="FX_LightPass_DL_VSM.fx";
}

MATERIAL* _mtlLightPass_DL_VSM_3=
{
	flags=ENABLE_RENDER;
	event=FXevent_Lights;
	effect="FX_LightPass_DL_VSM_3.fx";
}

MATERIAL* _mtlLightPass_DL_VSM_2=
{
	flags=ENABLE_RENDER;
	event=FXevent_Lights;
	effect="FX_LightPass_DL_VSM_2.fx";
}

MATERIAL* _mtlLightPass_DL=
{
	flags=ENABLE_RENDER;
	event=FXevent_Lights;
	effect="FX_LightPass_DL.fx";
}

MATERIAL* _mtlLightPass_SL=
{
	flags=ENABLE_RENDER;
	event=FXevent_Lights;
	effect="FX_LightPass_SL.fx";
}

MATERIAL* _mtlLightPass_SL_C=
{
	flags=ENABLE_RENDER;
	event=FXevent_Lights;
	effect="FX_LightPass_SL_C.fx";
}

MATERIAL* _mtlLightPass_SL_VSM=
{
	flags=ENABLE_RENDER;
	event=FXevent_Lights;
	effect="FX_LightPass_SL_VSM.fx";
}

MATERIAL* _mtlLightPass_SL_VSM_C=
{
	flags=ENABLE_RENDER;
	event=FXevent_Lights;
	effect="FX_LightPass_SL_VSM_C.fx";
}

MATERIAL* _mtlLightPass_PL=
{
	flags=ENABLE_RENDER;
	event=FXevent_Lights;
	effect="FX_LightPass_PL.fx";
}

MATERIAL* _mtlLightPass_Amb=
{
	flags=ENABLE_RENDER;
	event=FXevent_Lights;
	effect="FX_LightPass_Amb.fx";
}

MATERIAL* _mtlLightPass_PL_C=
{
	flags=ENABLE_RENDER;
	event=FXevent_Lights;
	effect="FX_LightPass_PL_C.fx";
}

MATERIAL* _mtlLightPass_PL_VSM=
{
	flags=ENABLE_RENDER;
	event=FXevent_Lights;
	effect="FX_LightPass_PL_VSM.fx";
}

MATERIAL* _mtlLightPass_PL_VSM_C=
{
	flags=ENABLE_RENDER;
	event=FXevent_Lights;
	effect="FX_LightPass_PL_VSM_C.fx";
}

//MATERIAL* _mtlRenderLights=
//{
	//	flags=ENABLE_RENDER;
	//	event=FXevent_Lights;
//}


function FXevent_SolidObj()
{
	mtl->skill17=floatv(render_view->clip_far);
	
	if(render_view->skill_x==0)
	return(0);
	else
	return(1);
}

function FXevent_set_ClipFar_and_Arc()
{
	//	if(render_view.skill_x==0)
	//	return(1);
	
	mtl->skill17=floatv(render_view->clip_far);
	mtl->skill18=floatv(render_view->arc*0.5);
	
	return 0;
}

function FXevent_NoRendering()
{
	return 1;
}


/////////////////////////////////MATERIALs

void FXevent_Skycube()
{
	if(render_view->skill_x==0)
	mtl=_mtlSkyCube_Color;
	else
	{
		if(render_view->skill_x==4)
		mtl=_mtlSkyCube_MaxDepth;
		else
		mtl=_mtlSkyCube_Black;
	}
}

MATERIAL* _mtlSkyCube_Color=
{
	flags=OVERRIDE;
	effect="FX_Skycube.fx";
}

MATERIAL* _mtlSkyCube_Black=
{
	flags=OVERRIDE;
	effect="FX_SkycubeBlack.fx";
}

MATERIAL* _mtlSkyCube_MaxDepth=
{
	flags=OVERRIDE;
	effect="FX_SkycubeMaxDepth.fx";
}

MATERIAL* _mtlSkyCube=
{
	flags=ENABLE_RENDER + OVERRIDE;
	event=FXevent_Skycube;
}

///////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////

MATERIAL* _mtlEmpty={}

MATERIAL* _mtlNoRendering=
{
	flags=ENABLE_RENDER;
	event=FXevent_NoRendering;
}

MATERIAL* _mtlDeferredLightingPP=
{
	effect="ppFX_DeferredLighting.fx";
}


///////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////

function FXevent_AddMtl()
{
	if(render_view->skill_x==1)
	return 1;
	
	if(render_view->skill_x==4)//shadow view
	{
		mtl=(MATERIAL*)(my->skill34);
	}
	else
	{	
		if(_vLF_LightingMode==0)
		{
			mtl=(MATERIAL*)(my->skill30);
		}
		else
		{
			if(render_view->skill_x==2)
			{
				mtl=(MATERIAL*)(my->skill32);
			}
			else
			{
				if(render_view->skill_x==3)
				{
					mtl=(MATERIAL*)(my->skill33);
				}
				else
				{
					mtl=(MATERIAL*)(my->skill31);
				}
			}
		}		
	}

	mtl->skill1=floatv(my->skill1);
	mtl->skill2=floatv(my->skill2);
	mtl->skill3=floatv(my->skill3);
	mtl->skill4=floatv(my->skill4);
	
	mtl->matrix11=(my->skill5); mtl->matrix12=(my->skill6); mtl->matrix13=(my->skill7); mtl->matrix14=(my->skill8);
	mtl->matrix21=(my->skill9); mtl->matrix22=(my->skill10);mtl->matrix23=(my->skill11);mtl->matrix24=(my->skill12);
	mtl->matrix31=(my->skill13);mtl->matrix32=(my->skill14);mtl->matrix33=(my->skill15);mtl->matrix34=(my->skill16);
	mtl->matrix41=(my->skill17);mtl->matrix42=(my->skill18);mtl->matrix43=(my->skill19);mtl->matrix44=(my->skill20);
	
	mtl->skill17=floatv(render_view->clip_far);
	
	return 0;
}

//MATERIAL* _mtlCubeDepth=
//{
	//	effect="FX_CD_Bump.fx";
//}
//
//MATERIAL* _mtlNormals=
//{
	//	effect="FX_N_Bump.fx";
//}
//
//MATERIAL* _mtlDepth=
//{
	//	effect="FX_D_Bump.fx";
//}
//
//MATERIAL* _mtlColor=
//{
	//	effect="FX_C_Bump.fx";
//}
//
//MATERIAL* _mtlBump=
//{
	//	effect="FX_Bump.fx";
//}
//
//MATERIAL* _mtlLF_Bump=
//{	
	//	flags=ENABLE_RENDER + TANGENT + OVERRIDE;
	//	event=FXevent_AddMtl;
//}

///////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////

function FXevent_WireFrame()
{
	if(render_view->skill_x!=0)
	return 1;
	else
	return 0;
}

MATERIAL* _mtlLF_WireFrame=
{
	flags=ENABLE_RENDER;
	event=FXevent_WireFrame;
	
	effect="FX_WireFrame.fx";
}

MATERIAL* _mtlLF_WireFrame_PL=
{
	flags=ENABLE_RENDER;
	event=FXevent_WireFrame;
	
	effect="FX_WireFrame_PL.fx";
}

MATERIAL* _mtlLF_WireFrame_SL=
{
	flags=ENABLE_RENDER;
	event=FXevent_WireFrame;
	
	effect="FX_WireFrame_SL.fx";
}

///////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////

MATERIAL* _mtlLF_AttenuationMap_PP=
{
	effect="ppFX_AttenuationMap.fx";
}



///////////////////////////////////////////////////////////////////////////DEVELOPING:
///////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////
MATERIAL* _mtlNormals_t;
MATERIAL* _mtlDepth_t;
MATERIAL* _mtlCubeDepth_t;
MATERIAL* _mtlBump_t;
MATERIAL* _mtlColor_t;

function FXevent_AddMtl_t();

function FXevent_AddMtl_t()
{
	if(render_view->skill_x==1)
	return 1;
	
	MATERIAL* mtlTemp=mtl;
	
	if(render_view->skill_x==4)
	{
		mtl=_mtlCubeDepth_t;
	}
	else
	{	
		if(_vLF_LightingMode==0)
		{
			mtl=_mtlBump_t;
		}
		else
		{
			if(render_view->skill_x==2)
			{
				mtl=_mtlNormals_t;
			}
			else
			{
				if(render_view->skill_x==3)
				{
					mtl=_mtlDepth_t;
				}
				else
				{
					mtl=_mtlColor_t;
				}
			}
		}		
	}

	mtl->skill17=floatv(render_view->clip_far);
	
	return 0;
}

MATERIAL* _mtlCubeDepth_t=
{
	effect="FX_tCD_Bump.fx";
}

MATERIAL* _mtlNormals_t=
{
	effect="FX_tN_Bump.fx";
}

MATERIAL* _mtlDepth_t=
{
	effect="FX_tD_Bump.fx";
}

MATERIAL* _mtlColor_t=
{
	effect="FX_tC_Bump.fx";
}

MATERIAL* _mtlBump_t=
{
	effect="FX_tBump.fx";
}

MATERIAL* _mtlDevelop=
{
	flags=ENABLE_RENDER + TANGENT + OVERRIDE;
	event=FXevent_AddMtl_t;
}