
////////////////////LIGHT struct
typedef struct
{
	ENTITY* eLight;
	ENTITY* eWire;//Debugging Primitive
	
	BMAP* bShadowMap;
	BMAP* bCookie;
	
	VIEW* vwShadowView;
	int iSMapResolution;
	
	BOOL boAlive;
	
	var vLightStrength;
	var vLightRange;
	var vApertureAng;
	var vAngularAtt;
	
	VECTOR* vcLightPos;
	ANGLE* aLightAng;
	COLOR cLightColor;
	
	var vCascadeSize[4];
	var vBlurStrength[3];
	var vShadowBias[4];
	var vCSM_FadeOut;
	
	var vAmb_AngInfluence;
	
} LF_LIGHT;

//////////////////////////////////////////////MATERIAL CONTAINER struct
typedef struct
{	
	STRING* sMRT;
	STRING* sCOL;
	STRING* sNM;
	STRING* sD;
	STRING* sVSMD;
	
	long lFlags;
	
} LF_MTL_CONTAINER;

///////////////////////////////////////////////MATERIAL struct
typedef struct
{	
	MATERIAL* mtlAdd;
	
	MATERIAL* mtlMRT;
	
	MATERIAL* mtlCOL;
	MATERIAL* mtlNM;
	MATERIAL* mtlD;
	MATERIAL* mtlVSMD;
	
	STRING* sTex[16];

} LF_MATERIAL;

///////////////////////////////////////////////PP_FLAGs struct
typedef struct
{	
	COLOR cAmbLightCol;
	var vAmbLightFac;
	
	var vToneMapperFac;
	int iGlow;
	var vGlowBBound;
	var vGlowCovPow;

} LF_PIPE_SETT;
